package com.cyksj.common.task;

/**
 * @author chan
 * @className BaseTaskBean
 * @description 任务列表
 * @date 2020-05-21 16:35
 */
public abstract class BaseTaskBean implements Runnable {

	/**
	 * 任务Id
	 * **/
	private String taskId;

	/**
	 * 任务名称
	 * **/
	private String taskName;

	/**
	 * 执行任务
	 * **/
	private Runnable task;
	
	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getTaskName() {
		return taskName;
	}

	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}

	public Runnable getTask() {
		return task;
	}

	public void setTask(Runnable task) {
		this.task = task;
	}

}
